Bug 997049 - Allow nested transactions
Allow nested transactions
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
3.4
Unspecified Unspecified
medium Severity medium
: ---
: 3.4.1
Assigned To: Ryan Barry
bugs@ovirt.org
node
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 10:53 EDT by Fabian Deutsch
Modified: 2014-05-08 09:38 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-08 09:38:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19493 None None None Never

  None (edit)
Description Fabian Deutsch 2013-08-14 10:53:34 EDT
Description of problem:
Currently Transactions can be concatenated to run all TransactionElements from N Transaction sin one go.
It would be nice if a Transaction could also behave like a TransactionElement to hide the TransactionElements of the sub/nested transaction.

This could probably be solved by applying the [composite pattern](http://en.wikipedia.org/wiki/Composite_pattern)
Comment 1 Sandro Bonazzola 2014-03-04 04:31:07 EST
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.
Comment 2 Sandro Bonazzola 2014-05-08 09:38:39 EDT
This is an automated message

oVirt 3.4.1 has been released:
 * should fix your issue
 * should be available at your local mirror within two days.

If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.